Datasources
Test Auth Connection
Test whether a stored auth connection is valid
POST
Test Auth Connection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Test whether a stored auth connection is valid
curl --request POST \
--url https://api.oviond.com/v1/datasources/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auth_id": "auth_abc123",
"datasource_id": "google"
}
'{
"success": true,
"data": {
"connected": true,
"message": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
curl --request POST \
--url https://api.oviond.com/v1/datasources/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auth_id": "auth_abc123",
"datasource_id": "google"
}
'{
"success": true,
"data": {
"connected": true,
"message": "<string>"
}
}